Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class HexDeserializer

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.encoding.DeserializerImpl
                        |
                        +--org.apache.axis.encoding.ser.HexDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class HexDeserializer
extends DeserializerImpl

Deserializer for hexBinary.

Author:
  Davanum Srinivas Modified by @author Rich scheuerle
See Also:
  XML Schema 3.2.16, Serialized Form

Field Summary
`java.lang.Class` | `javaType`
`QName` | `xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`HexDeserializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`void` | `characters(char[] chars, int start, int end)` Handle any characters found in the data
`void` | `onEndElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)` Return something even if no characters were found.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onStartChild, onStartElement, registerValueTarget, removeValueTargets, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlType

    public QName xmlType

### javaType

    public java.lang.Class javaType

Constructor Detail

### HexDeserializer

    public HexDeserializer(java.lang.Class javaType,
                           QName xmlType)

Method Detail

### characters

    public void characters(char[] chars,
                           int start,
                           int end)
                    throws org.xml.sax.SAXException

  Handle any characters found in the data
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### onEndElement

    public void onEndElement(java.lang.String namespace,
                             java.lang.String localName,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Return something even if no characters were found.
  Overrides:
    `onEndElement` in class `DeserializerImpl`
  Following copied from class: `org.apache.axis.encoding.DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the child element
    `localName` - is the local name of the child element
    `context` - is the deserialization context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.